#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnotify
Version		:	0.8.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Desktop notification library
Group		:	System/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://ftp.gnome.org/pub/GNOME/sources/libnotify/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	meson
BuildRequires	:	xmlto
#-----------------------------------------------------------------------------
%description
libnotify is a library for sending desktop notifications to a notification
daemon, as defined in the freedesktop.org Desktop Notifications spec. These
notifications can be used to inform the user about an event or display some
form of information without getting in the user's way.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_includedir}/%{name}/*.h
%{_bindir}/notify-send
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/girepository-1.0/Notify-0.7.typelib
%{_defaultdocdir}/%{name}/spec/notification-spec.html
%{_datadir}/gir-1.0/Notify-0.7.gir

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#Note:
#libnotify is looping to itself, if you want to
#have gtk_doc=true, you must compile/install gtk_doc false
#then compile/install again with gtk_doc=true

meson							\
	-D gtk_doc=false				\
	-D man=false					\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C build					\
	%{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}
	
DESTDIR=%{buildroot}					\
	ninja 						\
	install						\
	-C build

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
